export interface SMTPConfiguration {
  host: string;
  port: number;
  secure: boolean;
  auth: {
    user: string;
    pass: string;
  };
}

export interface EmailConfiguration {
  from: string;
  smtp: SMTPConfiguration;
}

export interface AppConfiguration {
  base_url: string;
  session_secret: string;
  challenge_secret: string;
}

export interface Configuration {
  app: AppConfiguration;
  email: EmailConfiguration;
}
